
var tooltipRecorrido;
var tooltipContainerRecorrido ;
var tooltipContentRecorrido ;
var mapRecorrido;
var vsMarcadoresRecorrido;
var vectorLayerRecorrido

function creaMapaRecorrido(){
    console.log("Creando mapa de recorrido");
    /*vectorLayerRecorrido = new ol.layer.Vector({
        projection: 'EPSG:4326',
        zIndex:2000,
        title: 'Recorrido'
    });
    vsMarcadoresRecorrido = new ol.source.Vector({
        projection: 'EPSG:4326'
    });*/
    //tooltipContainerRecorrido = document.getElementById('tooltipRecorrido');
    //tooltipContentRecorrido = document.getElementById('tooltipRecorrido-content');

    mapRecorrido = new ol.Map({
        layers: [new ol.layer.Tile({
            source: new ol.source.OSM(),
            title: 'OSM',
            visible: true
        }) ],
        target: document.getElementById('mapRecorrido'),
        projection: 'EPSG:4326',
        view: new ol.View({
            center: ol.proj.fromLonLat([ lon, lat]),
            zoom:18 
        }),
        controls: ol.control.defaults({
            zoom: true,
            attribution: true,
            rotate:false
        }),
    });
    mapRecorrido.addControl(new ol.control.LayerSwitcher());


    //mapRecorrido.addLayer(vectorLayerRecorrido);
    /*
    console.log("creado");
    var mousePosition = new ol.control.MousePosition({
        coordinateFormat: ol.coordinate.createStringXY(4),
        projection: 'EPSG:4326',
        target: document.getElementById('myposition'),
        undefinedHTML: '&nbsp;'
    });
    mapRecorrido.addControl(mousePosition);
    

    
    
    tooltip = new ol.Overlay({
        element: tooltipContainer,
        autoPan: true,
        autoPanAnimation: {
            duration: 250
        }
    });
    mapaRecorrido.addOverlay(tooltip);
    mapaRecorrido.on('click', function(evt) {
	    var feature = mapRecorrido.forEachFeatureAtPixel(evt.pixel,
            function(feature) {
                var props = feature.getProperties();
                var coordinates = feature.getGeometry().getCoordinates();
                //tooltipContent.innerHTML = '<p>Fecha:' + props.fecha +'<br>Vel.:'+props.posicion+ '</p>';
                tooltipContent.innerHTML = creaHtml(props);
                tooltip.setPosition(coordinates);
                return feature;
            }
        );
        if (feature) {
            var coordinates = feature.getGeometry().getCoordinates();
        } else {
            tooltip.setPosition()
        }
    });
    */
}
function displayTooltipRecorrido(evt) {
    var pixel = evt.pixel;
    var feature = mapRecorrido.forEachFeatureAtPixel(pixel, function(feature) {
        return feature;
    });
    tooltip.style.display = feature ? '' : 'none';
    if (feature) {
        overlay.setPosition(evt.coordinate);
        tooltip.innerHTML = feature.get('placa');
    }
};
function cargaMarcadoresRecorrido(storeInforme){
    vsMarcadoresRecorrido = new ol.source.Vector({
        projection: 'EPSG:4326'
    });
    vectorLayerRecorrido = new ol.layer.Vector({
        projection: 'EPSG:4326',
        zIndex:2000,
        title: 'Recorrido'
    })
    var r;
	storeInforme.each(function(rec){
        r = rec;
		var col;
		var lon = Number(rec.data.longitud);
		var lat = Number(rec.data.latitud);
		var ll = ol.proj.fromLonLat([lon, lat]);
		punto = new ol.geom.Point(ll);
		var iconFeature = new ol.Feature({
			id: rec.data.placa,
			geometry: punto,
			placa: rec.data.placa,
            fecha: rec.data.fecha_gps,
            posicion: rec.data.posicion,
            velocidad:rec.data.velocidad,
            direccion:rec.data.direccion,
			latitud:rec.data.latitud,
			longitud:rec.data.longitud
        });
        var imagen = getIcono(rec);
		var iconStyle = new ol.style.Style({
			image: new ol.style.Icon(({
				anchor: [-5, 5],
				anchorXUnits: 'pixels',
				anchorYUnits: 'pixels',
				scale: 0.2,
				src: imagen
            })),
			/*text: new ol.style.Text({
                text: rec.data.placa,
                anchor: [-15, 15],
				font: fuente,
                stroke: new ol.style.Stroke({
                    color: col
                }),
				//fill: new ol.style.Fill({ color: '#000' }),
				backgroundFill: new ol.style.Fill({ color: '#ffffff' }),
				backgroundStroke: new ol.style.Stroke({ color: '#0B0B61', width:1 }),
				padding: [1,1,1,1]
		    })*/
		});

		iconFeature.setStyle(iconStyle);
	
        vsMarcadoresRecorrido.addFeature(iconFeature);
        r = rec;
        
    });
    var lonLat = ol.proj.fromLonLat([Number(r.data.longitud), Number(r.data.latitud)]);
    console.log(Number(r.data.longitud) +" "+Number(r.data.latitud));
    map.getView().setCenter(lonLat);
	vectorLayerRecorrido.setSource(vsMarcadoresRecorrido);
	map.addLayer(vectorLayerRecorrido);
}