function historico(){
    var fechaIni = new Date();
    var fechaFin = new Date();
    fechaIni.setHours(0);
    fechaIni.setMinutes(0);
    fechaIni.setSeconds(0);
    fechaFin.setHours(23, 59,59);
    dfFechaIni = new Ext.form.DateField({
        fieldLabel: 'Fecha Inicial',
        name: 'startdt',
        id: 'dfFechaIni',
        format: 'Y-m-d H:i:s',
        value: fechaIni,
        maxValue: new Date()
    });
    dfFechaFin = new Ext.form.DateField({
        fieldLabel: 'Fecha Final',
        name: 'enddt',
        id: 'dfFechaFin',
        format: 'Y-m-d H:i:s',
        value: fechaFin,
        maxValue: fechaFin
    });
	win = new Ext.Window({
        layout: 'fit',
        title: 'Informe de Posiciones '+placa,
        closable: true,
        plain: false,
        border: false,
        width: 280,
        height: 130,
        id: 'ventana',
        items: new Ext.FormPanel({
            labelWidth: 90,
            url: 'login.php',
            frame: true,
            width: 280,
            defaults: {
                width: 160
            },
            defaultType: 'datefield',
            items: [dfFechaIni, dfFechaFin],
            buttons: [{
                text: 'Cancelar',
                handler: function(){win.close();}
            },{
                text: 'Ok',
                handler: function(){
                 	movilFechas();
                }
            }]
        })
    }).show();
}
function movilFechas(){
    storeInforme= new Ext.data.GroupingStore({
        url:"servicios/jsonPosicionesMovil.php",
        baseParams:{
            idVehiculo: idVehiculo,
            fechaIni:   dfFechaIni.getValue().format('Y-m-d H:i:s'),
            fechaFin:   dfFechaFin.getValue().format('Y-m-d H:i:s')
        },
        reader: new Ext.data.JsonReader({
            root:'posiciones',
            idproperty:'id_posicion',
            fields: ['placa','id_posicion', 'fecha_gps','posicion',
                'direccion', 'velocidad','longitud','latitud']
        }),
        storeId:'storeInforme',
        listeners: {
            load: function(){
                if( storeInforme.data.getCount() === 0){
                    Ext.Msg.alert('Informe de Recorrido ', 'No Hay Registro de este Vehiculo');
                }
                else{

                    panelCentral = Ext.getCmp('tabCentral');
                    if(panelCentral.get('panelRecorrido') !== null)
                        panelCentral.remove('panelRecorrido');         

                    panelCentral.add(
                        new Ext.grid.GridPanel({
                            store: storeInforme,
                            id: 'panelRecorrido',
                            closable: true,
                            stripeRows: true,
                            /*tbar: {
                                xtype:'toolbar',
                                items: [{
                                        xtype: 'tbbutton',
                                        text: 'Exporta Informe',
                                        handler: function (){json2csv(storeInforme, 'Informe de Recorrido', true );}
                                }]
                            },*/
			                columns: [
                                {header: 'Fecha',width: 150,sortable: true,dataIndex: 'fecha_gps'},
                                {header: 'Posicion',width: 300,sortable: false,dataIndex: 'posicion'},
                                {header: 'Dir.',width: 40,sortable: false,dataIndex: 'direccion'}, 
                                {header: 'Vel.',width: 40,sortable: false,dataIndex: 'velocidad'}
                            ],
                            view: new Ext.grid.GroupingView({forceFit:true}),
                            title: 'Recorrido '+placa,
                            stateful: true,
                            listeners: {
                                close: function(){
                                    console.log("Cerrando Informe");
                                    map.removeLayer(vectorLayerRecorrido);

                                    lon = storePosiciones.getAt(0).data.longitud;
                                    lat = storePosiciones.getAt(0).data.latitud;
                                    var lonLat = ol.proj.fromLonLat([lon, lat]);
                                    map.getView().setCenter(lonLat);
                                    panelCentral.setActiveTab(Ext.getCmp('pnlMapa'));
                                }
                            }
                        }),
                    );
                    //creaMapaRecorrido();
                    cargaMarcadoresRecorrido(storeInforme);
                    lon = storeInforme.getAt(0).data.longitud;
                    lat = storeInforme.getAt(0).data.latitud;
                    var lonLat = ol.proj.fromLonLat([lon, lat]);
                    map.getView().setCenter(lonLat);
                    //panelCentral.setActiveTab('panelMapaRecorrido');
                    panelCentral.setActiveTab('panelRecorrido');

                }
            }
        }
    });
    storeInforme.load();
    win.close();
}

